QT       += core gui widgets quick quickwidgets
# widgets-private

CONFIG += c++20 qmltypes
CONFIG -= qml_debug

QML_IMPORT_NAME = org.sourceworx.qmlcomponents
QML_IMPORT_MAJOR_VERSION = 1

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

INCLUDEPATH += pugixml widgets nodes model application datatypes util items

HEADERS += \
    application/xqchildmodel.h \
    application/xqdocumentstore.h \
    application/xqmainmodel.h \
    application/xqmainwindow.h \
    application/xqappdata.h \
    items/xqitem.h \
    items/xqitemfactory.h \
    items/xqitemtype.h \
    items/xqitemdelegate.h \
    model/xqcommand.h \
    model/xqnode.h \
    model/xqnodewriter.h \
    model/xqsectionmanager.h \
    model/xqselectionmodel.h \
    model/xqsimpleclipboard.h \
    model/xqviewmodel.h \
    nodes/znode.h \
    nodes/znode_factory.h \
    nodes/znode_id.h \
    nodes/znode_iterator.h \
    nodes/znode_payload.h \
    #nodes/znode_stringmap.h \
    #nodes/znode_attributes.h \
    nodes/znode_vector.h \
    pugixml/pugiconfig.hpp \
    pugixml/pugixml.hpp \
    util/xqexception.h \
    util/xqmapindex.h \
    util/xqmaptor.h \
    util/xqptrmaptor.h \
    util/xsingleton.h \
    util/xtreewalker.h \
    widgets/xqcontextmenu.h \
    widgets/xqquickwidget.h \
    widgets/xqtreetable.h

SOURCES += \
    application/xqchildmodel.cpp \
    application/xqdocumentstore.cpp \
    application/xqmainmodel.cpp \
    application/xqmainwindow.cpp \
    application/xqappdata.cpp \
    items/xqitem.cpp \
    items/xqitemfactory.cpp \
    items/xqitemtype.cpp \
    items/xqitemdelegate.cpp \
    main.cpp \
    model/xqcommand.cpp \
    model/xqnode.cpp \
    model/xqnodewriter.cpp \
    model/xqsectionmanager.cpp \
    model/xqselectionmodel.cpp \
    model/xqsimpleclipboard.cpp \
    model/xqviewmodel.cpp \
    nodes/znode.cpp \
    pugixml/pugixml.cpp \
    util/xqexception.cpp \
    widgets/xqcontextmenu.cpp \
    widgets/xqquickwidget.cpp \
    widgets/xqtreetable.cpp


FORMS += \
    application/xqmainwindow.ui


RESOURCES = xtree.qrc

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

DISTFILES += \
  README.md \
  xml/modelsheets.xml \
  xml/modeldata1.xtr \
  xml/modeldata2.xtr \
  xml/modeldata3.xtr




